package org.mai.dep810.reflection;

@Table(name = "BOOKS")
public class Book {

    @Column(name = "book_id", id = true)
    private Integer id;

    @Column(name = "book_title")
    private String title;

    @Column(name = "student_id")
    private Integer studentId;

    public Book(Integer id, String title, Integer studentId) {
        this.id = id;
        this.title = title;
        this.studentId = studentId;
    }

    public Book() {
    }

    public Integer getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void updateBorrowerPublic(Student student) {
        System.out.println("public method updateBorrowerPublic");
        studentId = student.getId();
    }

    private void updateBorrowerPrivate(Student student) {
        System.out.println("private method updateBorrowerPublic");
        studentId = student.getId();
    }

    @Override
    public String toString() {
        return "Book{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", studentId=" + studentId +
                '}';
    }
}